class Animal
  constructor: (@name) ->

  speak: (str) ->
    console.log "#{@name}: #{str}"

class Dog extends Animal
  speak: (str) ->
    super "#{str}ワン"

class Rabbit extends Animal
  speak: (str) ->
    super "#{str}ウサギ"

dog = new Dog "inu"
dog.speak "こんにち"

rabbit = new Rabbit "usagi"
rabbit.speak "ありがと"
